> For the complete documentation index, see [llms.txt](https://docs.deltastream.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.deltastream.io/reference/sql-syntax/command/grant-ownership.md).

# GRANT OWNERSHIP

## Syntax

```sql
GRANT OWNERSHIP ON 
      ( COMPUTE_POOL compute_pool_name
      | DATABASE database_name
      | SCHEMA [database_name.]schema_name
      | RELATION [[database_name.]schema_name.]relation_name
      | STORE store_name
      | SCHEMA_REGISTRY schema_registry_name
      | QUERY query_id
      | DESCRIPTOR_SOURCE descriptor_source_name
      | FUNCTION_SOURCE function_source_name
      | FUNCTION function_identifier
      | ROLE role_name
      )
TO roleName
```

## Description

Transfer ownership or an object to a new [Role](/overview/core-concepts/access-control.md#_role).

You can transfer ownership only if the current role is the owner of the object and has been granted the destination role.

## Examples

```sh
demodb.public/<no-store># LIST DATABASES;
+---------+-------------+----------+-------------------------------+
|  Name   |  Is Default |  Owner   |  Created At                   |
+=========+=============+==========+===============================+
| demodb  | true        | sysadmin | 2023-09-10 19:41:23 +0000 UTC |
+---------+-------------+----------+-------------------------------+
demodb.public/<no-store># GRANT OWNERSHIP ON DATABASE demodb TO rol1;
+-----------------+----------+------------------------------------------+
|  Type           |  Command |  Summary                                 |
+=================+==========+==========================================+
| ownership grant | ALTER    | Ownership of "main_db" granted to role   |
|                 |          | "rol1"                                   |
+-----------------+----------+------------------------------------------+
demodb.public/<no-store># USE ROLE securityadmin;
+-------+---------------+----------+----------------------------+
|  Type |  Name         |  Command |  Summary                   |
+=======+===============+==========+============================+
| role  | securityadmin | USE      | using role "securityadmin" |
+-------+---------------+----------+----------------------------+
demodb.public/<no-store># LIST DATABASES;
+---------+-------------+----------+-------------------------------+
|  Name   |  Is Default |  Owner   |  Created At                   |
+=========+=============+==========+===============================+
| user_db | false       | orgadmin | 2024-06-05 19:41:23 +0000 UTC |
+---------+-------------+----------+-------------------------------+
| demodb  | true        | rol1     | 2023-09-10 19:41:23 +0000 UTC |
+---------+-------------+----------+-------------------------------+
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/grant-ownership.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
